#### D.14.2.10 from_boolean_poly

Procedure from library `polybori.lib` (see polybori_lib).

Usage:
  from_boolean_poly(ps[, dir]); ps polynomial, dir integer zero or one

Return:
  default: polynomial ps in the representation of the boolean ring

Note:
  via the optional input dir, one can choose the computation method (either direct[dir==0] or recursive[dir==1]). default: direct

Example:

    LIB "polybori.lib";
    ==> // ** args must be 1 in     system("install", "bideal",   "ideal",    bid\
       eal2ideal, 4);
    ring r=0,(x,y,z),Dp;
    def rb=boolean_poly_ring(r);
    poly f=x^2+2*y+5*z^4;
    bpoly pp=f;
    from_boolean_poly(pp);
    ==> x+z
    from_boolean_poly(pp,1);
    ==> x+z
    ring r2=5,(x,y,z),Dp;
    def rb2=boolean_poly_ring(r2);
    poly f2=x+y+z;
    bpoly pp2=f2;
    from_boolean_poly(pp);
    ==> x+z
    from_boolean_poly(pp,1);
    ==> x+z

See also: boolean_ideal; boolean_std.

User manual for Singular version 4-0-3, 2016, generated by texi2html.